# Report Error

You can manually report errors to the dashboard using this API. The method takes an error as an argument.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

<pre class="language-swift"><code class="lang-swift">let error = NSError(domain: "domain", code: 500, userInfo: nil)
<strong>CrashReporting.reportError(error)
</strong></code></pre>

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
NSError *error = [[NSError alloc] initWithDomain:@"domain" code:500 userInfo:nil];
[LCQCrashReporting reportError:error];
```

{% endtab %}

{% tab title="And - Java" %}

```java
CrashReporting.reportException(new NullPointerException("Test issue"));
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
CrashReporting.reportException(new NullPointerException("Test issue"))
```

{% endtab %}

{% tab title="RN" %}

```javascript
try {
      throw new SyntaxError();
    } catch (error) {
      alert(error.name);
      Luciq.reportJSException(error);
    }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/crash-reporting/report-error.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
